List Projects
curl --request GET \
--url https://api.example.com/app/v1/organizations/{organizationId}/projectsimport requests
url = "https://api.example.com/app/v1/organizations/{organizationId}/projects"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/app/v1/organizations/{organizationId}/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Projects
List Projects
List all projects in an organization
GET
/
app
/
v1
/
organizations
/
{organizationId}
/
projects
List Projects
Path Parameters
Organization ID
Query Parameters
Items per page (max 100)
Pagination cursor from previous response
Response
Returns a paginated list of Project objects.{
"data": [
{
"id": "proj123",
"organizationId": "org123",
"name": "Marketing Website",
"slug": "marketing-website",
"description": "Main marketing website content",
"status": "active",
"environment": "production",
"createdAt": "2024-03-20T10:00:00Z",
"updatedAt": "2024-03-20T10:00:00Z"
}
],
"pagination": {
"lastKey": "eyJwayI6Ik9SRy..."
}
}
Code Examples
curl -X GET "https://api.metabind.ai/app/v1/organizations/org123/projects" \
-H "Authorization: Bearer YOUR_JWT"
const response = await fetch(
'https://api.metabind.ai/app/v1/organizations/org123/projects',
{
headers: {
'Authorization': 'Bearer YOUR_JWT'
}
}
);
const { data, pagination } = await response.json();
console.log(`Found ${data.length} projects`);
let url = URL(string: "https://api.metabind.ai/app/v1/organizations/org123/projects")!
var request = URLRequest(url: url)
request.setValue("Bearer YOUR_JWT", forHTTPHeaderField: "Authorization")
let (data, _) = try await URLSession.shared.data(for: request)
let result = try JSONDecoder().decode(ProjectListResponse.self, from: data)
val response = client.get("https://api.metabind.ai/app/v1/organizations/org123/projects") {
header("Authorization", "Bearer YOUR_JWT")
}
val result = response.body<ProjectListResponse>()
println("Found ${result.data.size} projects")
⌘I